---
search:
  tags:
    - Webhook Deliveries
    - POST
seo:
  description: >-
    Creates a new delivery with the original event ID. Returns… Reference for
    the POST /api/v1/webhook-deliveries/{id}/replay endpoint in the torqee
    Connect API.
sidebar:
  label: Replay a webhook delivery
  badge: POST
title: Replay a webhook delivery
type: openapi-operation
---
Creates a new delivery with the original event ID. Returns 404 after the original delivery retention window has elapsed.

`POST /api/v1/webhook-deliveries/{id}/replay`

**Responses**

- `202` — Replay queued
- `401` — Missing or invalid credentials
- `403` — Membership revoked or insufficient scope
- `404` — Delivery not found or no longer retained
- `409` — The destination is no longer authorized for this workspace
- `500` — Unexpected server error
- `503` — Delivery service unavailable

Response example, 202:

```json
{
  "id": "string",
  "eventId": "string",
  "eventType": "session.created",
  "endpointId": "string",
  "endpointName": "string",
  "endpointUrl": "http://example.com",
  "kind": "event",
  "status": "pending",
  "attemptCount": 0,
  "lastHttpStatus": 100,
  "nextAttemptAt": "2019-08-24T14:15:22Z",
  "terminalAt": "2019-08-24T14:15:22Z",
  "stopReason": "installation_unauthorized",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}
```
